# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
for index_model in pc.preview.indexes.list():
print(index_model.name, index_model.host, index_model.status.state)
// Status: 200 OK
{
"indexes": [
{
"id": "e51ea4e1-2dda-4607-94dc-9054b1fa8492",
"name": "articles",
"host": "articles-jweaq8m.svc.aped-4627-b74a.pinecone.io",
"status": { "ready": true, "state": "Ready" },
"deployment": {
"deployment_type": "managed",
"cloud": "aws",
"region": "us-east-1",
"environment": "aped-4627-b74a"
},
"schema": {
"version": "v1",
"fields": {
"title": { "type": "string", "full_text_search": { "language": "en", "stemming": false, "stop_words": false, "lowercase": true, "max_token_length": 40 } },
"body": { "type": "string", "full_text_search": { "language": "en", "stemming": false, "stop_words": false, "lowercase": true, "max_token_length": 40 } }
}
},
"read_capacity": { "mode": "OnDemand", "status": { "state": "Ready" } },
"tags": null,
"deletion_protection": "disabled"
}
]
}
Indexes
List indexes
List all indexes in a project.
GET
/
indexes
# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
for index_model in pc.preview.indexes.list():
print(index_model.name, index_model.host, index_model.status.state)
// Status: 200 OK
{
"indexes": [
{
"id": "e51ea4e1-2dda-4607-94dc-9054b1fa8492",
"name": "articles",
"host": "articles-jweaq8m.svc.aped-4627-b74a.pinecone.io",
"status": { "ready": true, "state": "Ready" },
"deployment": {
"deployment_type": "managed",
"cloud": "aws",
"region": "us-east-1",
"environment": "aped-4627-b74a"
},
"schema": {
"version": "v1",
"fields": {
"title": { "type": "string", "full_text_search": { "language": "en", "stemming": false, "stop_words": false, "lowercase": true, "max_token_length": 40 } },
"body": { "type": "string", "full_text_search": { "language": "en", "stemming": false, "stop_words": false, "lowercase": true, "max_token_length": 40 } }
}
},
"read_capacity": { "mode": "OnDemand", "status": { "state": "Ready" } },
"tags": null,
"deletion_protection": "disabled"
}
]
}
Full-text search is in public
preview and uses API version
2026-01.alpha. APIs may continue to evolve before general availability.GET /indexes/{index_name}.
# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
for index_model in pc.preview.indexes.list():
print(index_model.name, index_model.host, index_model.status.state)
// Status: 200 OK
{
"indexes": [
{
"id": "e51ea4e1-2dda-4607-94dc-9054b1fa8492",
"name": "articles",
"host": "articles-jweaq8m.svc.aped-4627-b74a.pinecone.io",
"status": { "ready": true, "state": "Ready" },
"deployment": {
"deployment_type": "managed",
"cloud": "aws",
"region": "us-east-1",
"environment": "aped-4627-b74a"
},
"schema": {
"version": "v1",
"fields": {
"title": { "type": "string", "full_text_search": { "language": "en", "stemming": false, "stop_words": false, "lowercase": true, "max_token_length": 40 } },
"body": { "type": "string", "full_text_search": { "language": "en", "stemming": false, "stop_words": false, "lowercase": true, "max_token_length": 40 } }
}
},
"read_capacity": { "mode": "OnDemand", "status": { "state": "Ready" } },
"tags": null,
"deletion_protection": "disabled"
}
]
}
Authorizations
Headers
Required date-based version header
Response
This operation returns a list of all the indexes that you have previously created, and which are associated with the given project.
The list of indexes that exist in the project.
List of indexes in the project
Show child attributes
Show child attributes
Was this page helpful?
⌘I